Please read these updated minimum technology requirements for the 2018-2019 school year. Keep an eye on your Crown email for IT updates throughout the semester.

Technical Requirements

  • The minimum requirements for your computer operating system are Windows 7 or newer for PCs, or Mac OS X 10.9 Mavericks or newer for Apple computers. 
  • We recommend using Mozilla Firefox or Google Chrome to access Crown's web services.
  • For browser compatibility with Canvas, please go to this website > http://help.instructure.com 
  • You will need Microsoft Office 2010 or newer for Windows computers, or 2011 or newer for Apple computers. The software is available for Crown students for free at email.crown.edu via your Crown email account. Please refer to the Computer Software section for more information.

Contact the Help Desk at [952-446-4357] or helpdesk@crown.edu if you have questions regarding technology at Crown College.